%global momorel 2
Summary: Conversions to and from arbitrary character sets and UTF8
Name: perl-Unicode-MapUTF8
Version: 1.11
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/Unicode/Unicode-MapUTF8-%{version}.tar.gz 16e66ee0bdc0e6cc9c36e29212d8ffdc
URL: http://www.cpan.org/modules/by-module/Unicode/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: perl >= 5.8.5
BuildPreReq: perl-Jcode >= 0.83-4m
BuildPreReq: perl-Unicode-Map >= 0.112-10m
BuildPreReq: perl-Unicode-Map8 >= 0.12-7m
BuildPreReq: perl-Unicode-String >= 2.09-1m

%description
Conversions to and from arbitrary character sets and UTF8

%prep
%setup -q -n Unicode-MapUTF8-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL
%make
##%%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}/usr -type f -print | 
	sed "s@^%{buildroot}@@g" | 
	grep -v perllocal.pod | 
	sed -e 's,\(.*/man/.*\),\1*,' | 
	grep -v "\.packlist" > Unicode-MapUTF8-%{version}-filelist
if [ "$(cat Unicode-MapUTF8-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_sitearch}/auto/Unicode/MapUTF8/.packlist

%files -f Unicode-MapUTF8-%{version}-filelist
%defattr(-,root,root)
%doc README

%changelog
* Thu Feb 9 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.11-2m)
- rebuild against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.11-1m)
- update to 1.11

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.10-1m)
- version up to 1.10
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.09-8m)
- rebuild against perl-5.8.5
- rebuild against perl-Jcode 0.83-4m
- rebuild against perl-Unicode-Map 0.112-10m
- rebuild against perl-Unicode-Map8 0.12-7m
- rebuild against perl-Unicode-String 2.07-6m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.09-7m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.09-6m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.09-5m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.09-4m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.09-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.09-2m)
- rebuild against perl-5.8.0

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.09-1m)
- spec file was semi-autogenerated. 
